channels:
- https://www.idiap.ch/software/bob/conda/label/beta
- https://www.idiap.ch/software/bob/conda
- conda-forge
dependencies:
- click 8.1.3
- click >=8.1.3,<9.0a0
- coverage 7.0.5
- exposed
- furo 2022.12.7
- matplotlib 3.6.3
- matplotlib >=3.6.3,<4.0a0
- numpy 1.23.5
- numpy >=1.23.5,<2.0a0
- pandas 1.5.2
- pandas >=1.5.2,<2.0a0
- pillow 9.4.0
- pillow >=9.4.0,<10.0a0
- pip 22.3.1
- psutil 5.9.4
- psutil >=5.9.4,<6.0a0
- pytest 7.2.1
- pytest-cov 4.0.0
- python 3.10
- python >=3.9
- pytorch >=1.13.0,<2.0a0
- pytorch-lightning 1.8.1
- pytorch-lightning >=1.8.1,<2.0a0
- scikit-learn 1.2.0
- scikit-learn >=1.2.0,<2.0a0
- scipy 1.10.0
- scipy >=1.10.0,<2.0a0
- sphinx 5.3.0
- sphinx-autodoc-typehints 1.23.4
- sphinx-copybutton 0.5.0
- sphinx-inline-tabs 2022.1.2b11
- sphinxcontrib-programoutput 0.17
- tabulate 0.9.0
- tabulate >=0.9.0,<1.0a0
- tensorboard 2.11.2
- tensorboard >=2.11.2,<3.0a0
- torchvision >=0.14.0,<1.0a0
- tqdm 4.64.1
- tqdm >=4.64.1,<5.0a0
- auto-intersphinx
- pre-commit
